# mutation | @coopenomics/sdk
Documentation for @coopenomics/sdk

# Variable mutation`Const`

mutation: {
updateExtension: [{
data: Variable <"ExtensionInput!", "data">;
}, {
available: boolean;
config: boolean;
created_at: boolean;
description: boolean;
enabled: boolean;
image: boolean;
installed: boolean;
instructions: boolean;
name: boolean;
readme: boolean;
schema: boolean;
tags: boolean;
title: boolean;
updated_at: boolean;
}];
} = ...

#### Type declaration

- ##### updateExtension: [{
  data: Variable <"ExtensionInput!", "data">;
  }, {
  available: boolean;
  config: boolean;
  created_at: boolean;
  description: boolean;
  enabled: boolean;
  image: boolean;
  installed: boolean;
  instructions: boolean;
  name: boolean;
  readme: boolean;
  schema: boolean;
  tags: boolean;
  title: boolean;
  updated_at: boolean;
  }]

- Defined in components/sdk/src/mutations/extensions/updateExtension.ts:7